#define git  5493f448
%define major 0

Name:		gluon
Summary:	Gluon is a cross-platform free and open source 2D game engine from KDE
Group:		Graphical desktop/KDE
Version:	0.71.0
Release:	%mkrel 7
License:	LGPLv2
URL:		http://gluon.tuxfamily.org/
Source0:	http://gitorious.net/gluon/%name-%version.tar.bz2
Patch0:		gluon-0.71.0-gcc-47.patch
BuildRequires:	kdelibs4-devel
BuildRequires:	glew-devel 
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	openal-devel
BuildRequires:	alure-devel
BuildRequires:	kdevplatform4-devel

%description
Gluon is a cross-platform free and open source 2D game engine from KDE. 
It aims to make life easier for game developers by providing a simple 
but powerful API to handle 2D objects, sounds and inputs.

%files
%_kde_bindir/*
%_kde_datadir/applications/gluon_kdeextplayer.desktop
%_kde_datadir/applications/gluon_kdeplayer.desktop
%_kde_datadir/applications/gluon_qmlplayer.desktop
%_kde_datadir/applications/gluon_qtplayer.desktop
%_kde_applicationsdir/gluon-creator.desktop
%_kde_appsdir/gluon_kdeextplayer
%_kde_appsdir/gluoncreator
%_kde_appsdir/gluoneditorpart
%_kde_appsdir/gluonviewerpart
%_kde_datadir/config.kcfg/gluoncreatorsettings.kcfg
%_kde_datadir/%{name}
%_kde_datadir/mime/packages/x-gluon-mimetypes.xml
%_kde_services/*.desktop
%_kde_servicetypes/gluoncreator_plugin.desktop
%_kde_iconsdir/hicolor
%_kde_libdir/gluon
%_kde_libdir/kde4/*.so

#-----------------------------------------------------------------------------
%define libgluonaudio %mklibname gluonaudio %{major}

%package -n %libgluonaudio
Summary:    %name library
Group:      System/Libraries

%description -n %libgluonaudio
%name library.

%files -n %libgluonaudio
%_kde_libdir/libGluonAudio.so.%{major}*

#-----------------------------------------------------------------------------
%define libgluoncore %mklibname gluoncore %{major}

%package -n %libgluoncore
Summary:    %name library
Group:      System/Libraries

%description -n %libgluoncore
%name library.

%files -n %libgluoncore
%_kde_libdir/libGluonCore.so.%{major}*

#-----------------------------------------------------------------------------
%define libgluoncreator %mklibname gluoncreator %{major}

%package -n %libgluoncreator
Summary:    %name library
Group:      System/Libraries

%description -n %libgluoncreator
%name library.

%files -n %libgluoncreator
%_kde_libdir/libGluonCreator.so.%{major}*

#-----------------------------------------------------------------------------
%define libgluonengine %mklibname gluonengine %{major}

%package -n %libgluonengine
Summary:    %name library
Group:      System/Libraries

%description -n %libgluonengine
%name library.

%files -n %libgluonengine
%_kde_libdir/libGluonEngine.so.%{major}*

#-----------------------------------------------------------------------------
%define libgluoninput %mklibname gluoninput %{major}

%package -n %libgluoninput
Summary:    %name library
Group:      System/Libraries

%description -n %libgluoninput
%name library.

%files -n %libgluoninput
%_kde_libdir/libGluonInput.so.%{major}*

#-----------------------------------------------------------------------------
%define libgluongraphics %mklibname gluongraphics %{major}

%package -n %libgluongraphics
Summary:    %name library
Group:      System/Libraries

%description -n %libgluongraphics
%name library.

%files -n %libgluongraphics
%_kde_libdir/libGluonGraphics.so.%{major}*

#-----------------------------------------------------------------------------
%define libgluonplayer %mklibname gluonplayer %{major}

%package -n %libgluonplayer
Summary:    %name library
Group:      System/Libraries

%description -n %libgluonplayer
%name library.

%files -n %libgluonplayer
%_kde_libdir/libGluonPlayer.so.%{major}*

#-----------------------------------------------------------------------------
%define gluon_devel %mklibname gluon -d
%package -n %gluon_devel
Summary:    Headers files for %name
Group:	    Development/KDE and Qt
Requires:   %libgluonaudio = %version
Requires:   %libgluoncore = %version
Requires:   %libgluoncreator = %version
Requires:   %libgluonengine = %version
Requires:   %libgluoninput = %version
Requires:   %libgluongraphics = %version
Provides:   lib%name-devel = %version-%release
Provides:   %name-devel = %version-%release
Obsoletes:  gluon-devel < 0.71.0-3

%description -n %gluon_devel
Headers files needed to build %name.

%files -n %gluon_devel
%_kde_datadir/cmake/Modules/*
%_kde_includedir/%name
%_kde_libdir/libGluon*.so

#-----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p0

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.71.0-7.mga3
+ Revision: 351846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 neoclust <neoclust> 0.71.0-6.mga3
+ Revision: 281903
- Rebuild against new attica

* Fri Aug 17 2012 neoclust <neoclust> 0.71.0-5.mga3
+ Revision: 281817
- Rebuild against new attica

* Thu Aug 02 2012 fwang <fwang> 0.71.0-4.mga3
+ Revision: 277829
- more patch
- fix build with gcc 4.7
- rebuild for new attica

* Tue Dec 27 2011 mikala <mikala> 0.71.0-3.mga2
+ Revision: 188037
- Rebuild for attica
- fix license
- fix libification of the devel package

* Thu Jun 30 2011 dmorgan <dmorgan> 0.71.0-2.mga2
+ Revision: 116398
- Fix file list
- Apply rpm policies
- Do not own cmake folder because gluon-devel requires kdelibs4-devel which requires cmake
  and cmake already own this dir

* Thu Jun 30 2011 ze <ze> 0.71.0-1.mga2
+ Revision: 116360
- fix files list
- add missing builrequire alure
- fix source extension
- version 0.71.0
- use a unique major set
- no need to require to release
- imported package gluon

